Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## unity.annotation
Class AnnotatedSourceJoin

    java.lang.Object
      unity.annotation.SourceJoin
          unity.annotation.AnnotatedSourceJoin

    public class AnnotatedSourceJoin

extends SourceJoin

Constructor Summary
`AnnotatedSourceJoin()`
`AnnotatedSourceJoin(SourceKey from, SourceKey to, java.lang.String join, int type)`

Method Summary
`int` | `getType()`
`java.lang.String` | `getTypeName()`
`void` | `importXML(org.w3c.dom.Node x, java.util.HashMap fields)`
`void` | `setType(int type)`
`java.lang.String` | `toString()`
`java.lang.String` | `toXML()`

Methods inherited from class unity.annotation.SourceJoin
`addFieldsToJoin, getFromKey, getFromKeyName, getFromTableName, getJoinName, getReverseJoin, getToKey, getToKeyName, getToTableName, setFromKey, setFromTableName, setJoinName, setReverseJoin, setToKey, setToTableName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AnnotatedSourceJoin

    public AnnotatedSourceJoin()

### AnnotatedSourceJoin

    public AnnotatedSourceJoin(SourceKey from,
                               SourceKey to,
                               java.lang.String join,
                               int type)

Method Detail

### setType

    public void setType(int type)

### getType

    public int getType()

### getTypeName

    public java.lang.String getTypeName()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `SourceJoin`

### toXML

    public java.lang.String toXML()

  Overrides:
    `toXML` in class `SourceJoin`

### importXML

    public void importXML(org.w3c.dom.Node x,
                          java.util.HashMap fields)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD